
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global spinlock static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/capability.h |    2 --
 25-akpm/kernel/capability.c        |    4 ++--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/linux/capability.h~kernel-capabilityc-make-a-spinlock-static include/linux/capability.h
--- 25/include/linux/capability.h~kernel-capabilityc-make-a-spinlock-static	Tue Jan 18 14:34:55 2005
+++ 25-akpm/include/linux/capability.h	Tue Jan 18 14:34:55 2005
@@ -44,8 +44,6 @@ typedef struct __user_cap_data_struct {
 
 #include <linux/spinlock.h>
 
-extern spinlock_t task_capability_lock;
-
 /* #define STRICT_CAP_T_TYPECHECKS */
 
 #ifdef STRICT_CAP_T_TYPECHECKS
diff -puN kernel/capability.c~kernel-capabilityc-make-a-spinlock-static kernel/capability.c
--- 25/kernel/capability.c~kernel-capabilityc-make-a-spinlock-static	Tue Jan 18 14:34:55 2005
+++ 25-akpm/kernel/capability.c	Tue Jan 18 14:34:55 2005
@@ -20,10 +20,10 @@ EXPORT_SYMBOL(securebits);
 EXPORT_SYMBOL(cap_bset);
 
 /*
- * This global lock protects task->cap_* for all tasks including current.
+ * This lock protects task->cap_* for all tasks including current.
  * Locking rule: acquire this prior to tasklist_lock.
  */
-DEFINE_SPINLOCK(task_capability_lock);
+static DEFINE_SPINLOCK(task_capability_lock);
 
 /*
  * For sys_getproccap() and sys_setproccap(), any of the three
_
